Skip to content

Supply Items ​

http
GET /api/v1/supplies/{ID}/goods

Base URL: https://supplies-api.wildberries.ru · Module: orders-fbw · Section: Supplies Information · Specification doc ↗

The method returns information about the items in the supply.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min30 requests2 s10 requests
Service1 min30 requests2 s10 requests
Base with secret1 min30 requests2 s10 requests
Base1 h2 requests30 min1 request

Parameters ​

NameInTypeReq.Description
limitqueryinteger<int64>noNumber of objects in the response
offsetqueryinteger<int64>noFrom which element to start outputting data
isPreorderIDquerybooleannoSearch by: - true — order ID, if you pass the order ID in ID - false — supply ID, if you pass the supply ID in ID
IDpathinteger<int64>yesID of the supply or the order

Responses ​

CodeDescriptionSchema
200SuccessGetV1SuppliesIdGoodsResponse200
400Bad requestmodels.ErrorModel
401Unauthorizedobject
402Payment requiredobject
403Access deniedobject
429Too many requestsobject

Structure 200 — models.GoodInSupply[]:

  • barcode string — Item barcode
  • vendorCode string — Seller item number
  • nmID integer<int64> — WB item number
  • needKiz boolean — Is a labeling code Chestny ZNAK required for this item: - false — not required - true — required
  • tnved string — HS-code. If "needKiz":true and "tnved":null, it is required to specify the **HS-codes** in the personal account or through API
  • techSize string — Item size specified by the seller
  • color string — Item color
  • supplierBoxAmount integer<int64> — Specified in the package, pieces
  • quantity integer<int64> — Specified in the supply/order, pieces
  • readyForSaleQuantity integer<int64> — Ready for sale, pieces
  • acceptedQuantity integer<int64> — Accepted, pieces
  • unloadingQuantity integer<int64> — Total items at putaway, pieces

Structure 400:

  • status integer<int64> — HTTP status code
  • title string — Error ID
  • detail string — Error description
  • requestId string — Request ID
  • origin string — Service that returned the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_fbw import Configuration, ApiClient
from wb_api_client.orders_fbw.api import OrdersFbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbwApi(ApiClient(cfg))

result = api.get_v1_supplies_id_goods(id=..., limit=..., offset=..., is_preorder_id=...)
print(result)
ts
import {
  Configuration,
  OrdersFbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbwApi(cfg);

const { data } = await api.getV1SuppliesIdGoods(iD, limit, offset, isPreorderID);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersfbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbw"
)

cfg := wbordersfbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbw.NewAPIClient(cfg)

result, _, err := client.OrdersFbwAPI.GetV1SuppliesIdGoods(context.Background(), iD).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_fbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbw.api.OrdersFbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbwApi api = new OrdersFbwApi(client);

System.out.println(api.getV1SuppliesIdGoods(ID, limit, offset, isPreorderID));
php
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Api\OrdersFbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbwApi(new Client(), $config);

print_r($api->getV1SuppliesIdGoods($id));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbwApi(Настройки);

Сообщить(Клиент.GetV1SuppliesIdGoods(ID).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbwApi(config);

Console.WriteLine(api.GetV1SuppliesIdGoods(ID));
rust
use wb_api_client::orders_fbw::apis::{configuration::Configuration, orders_fbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_fbw_api::get_v1_supplies_id_goods(&cfg, id, limit, offset, is_preorder_id).await;
    println!("{:#?}", result);
}